Skip to main content
GET
Get transaction by payment ID

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Path Parameters

payment_id
string
required

Response

Transaction object

transaction_id
string
user_id
string
beneficiary_id
string | null
amount
number<float>
currency
string
type
enum<string>
Available options:
inbound,
outbound,
loan
status
enum<string>
Available options:
initiated,
pending,
completed,
failed
payment_method
enum<string>
Available options:
bank_transfer,
mobile_money,
crypto,
card
payment_id
string | null
org_id
string | null
country
string | null
target_amount
number<float> | null
target_currency
string | null
metadata
object
created_at
string<date-time>
updated_at
string<date-time>